|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QStringList

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QStringList class reference

### Public Functions

- Iterator fromLast ()
- ConstIterator fromLast () const
- QStringList grep ( const QString & str, bool cs = true ) const
- QStringList grep ( const QRegExp & rx ) const
- QStringList & gres ( const QRegExp & rx, const QString & after )
- QStringList & gres ( const QString & before, const QString & after, bool cs = true )

- 7 public functions inherited from QList

### Static Public Members

- QStringList split ( const QRegExp & sep, const QString & str, bool allowEmptyEntries = false )
- QStringList split ( const QChar & sep, const QString & str, bool allowEmptyEntries = false )
- QStringList split ( const QString & sep, const QString & str, bool allowEmptyEntries = false )

## Member Function Documentation

### Iterator QStringList::fromLast ()

Use end() instead.

For example, if you have code like

     QStringList::Iterator i = list.fromLast();

you can rewrite it as

     QStringList::Iterator i = list.isEmpty() ? list.end() : --list.end();

### ConstIterator QStringList::fromLast () const

Use end() instead.

For example, if you have code like

     QStringList::ConstIterator i = list.fromLast();

you can rewrite it as

     QStringList::ConstIterator i = list.isEmpty() ? list.end() : --list.end();

### QStringList QStringList::grep ( const QString & str, bool cs = true ) const

Use filter() instead.

### QStringList QStringList::grep ( const QRegExp & rx ) const

Use filter() instead.

### QStringList & QStringList::gres ( const QRegExp & rx, const QString & after )

Use replaceInStrings() instead.

### QStringList & QStringList::gres ( const QString & before, const QString & after, bool cs = true )

Use replaceInStrings() instead.

### QStringList QStringList::split ( const QRegExp & sep, const QString & str, bool allowEmptyEntries = false ) `[static]`

Use QString::split(sep, QString::SkipEmptyParts) or QString::split(sep, QString::KeepEmptyParts) instead.

Be aware that the QString::split()'s return value is a QStringList that always contains at least one element, even if str is empty.

See also join() and QString::section().

### QStringList QStringList::split ( const QChar & sep, const QString & str, bool allowEmptyEntries = false ) `[static]`

This is an overloaded member function, provided for convenience.

This version of the function uses a QChar as separator.

See also join() and QString::section().

### QStringList QStringList::split ( const QString & sep, const QString & str, bool allowEmptyEntries = false ) `[static]`

This is an overloaded member function, provided for convenience.

This version of the function uses a QString as separator.

See also join() and QString::section().